kind: Pod
apiVersion: v1
metadata:
  name: nvidia-example-pod
spec:
  restartPolicy: OnFailure
  hostNetwork: true
  containers:
  - name: nvidia-example-pod
    image: nvcr.io/nvidia/tensorflow:19.08-py3
    #command: ["sleep","infinity"]
    # mpiexec --allow-run-as-root --bind-to socket -np 8 python ./RN50v1.5/main.py --mode=train_and_evaluate --use_tf_amp --batch_size 32 --num_iter 10 --iter_unit epoch --data_dir=Imagenet/ --results_dir=resnet50_train
    command: ["mpiexec", "--allow-run-as-root", "--bind-to", "socket", "-np", "8", "python", "./RN50v1.5/main.py", "--mode=train_and_evaluate", "--use_tf_amp", "--batch_size", "32", "--num_iter", "10", "--iter_unit", "epoch", "--data_dir=Imagenet/", "--results_dir=resnet50_train"]
    workingDir: /local-storage
    resources:
      limits:
        nvidia.com/gpu: 8
        cpu: 16
        memory: "128Gi"
    volumeMounts:
      - mountPath: "/local-storage"
        name: local-storage
  volumes:
    - name: local-storage
      persistentVolumeClaim:
        claimName: local-storage-pvc
